Subject: Re: Receiving GENEVE packets for one VNI in user mode

From: Jakub Kicinski <[email-masked]>
Date: Tue, 16 Jan 2024 08:28:24 -0800

On Sat, 13 Jan 2024 23:35:33 +0100 Kasper Dupont wrote:
> Is there a way to make one of these approaches work or some other way
> to achieve it?
> 
> If it is impossible to do in user mode do you think a kernel module to
> add the functionality would be possible with the current kernel code?

Perhaps open a tap interface and redirect to it with bpf/tc/whatnot?